local fn = _gn(0x109E99373F290687)
--- UPDATE_NAVMESH_BLOCKING_OBJECT
-- @param object Navmesh Blocking Object by ID. must be returned by [`ADD_NAVMESH_BLOCKING_OBJECT`](#\_0xFCD5C8E06E502F5A).
-- @param posX X position coordinate.
-- @param posY Y position coordinate.
-- @param posZ Z position coordinate.
-- @param scaleX X Scale.
-- @param scaleY Y Scale.
-- @param scaleZ Z Scale.
-- @param heading Heading of the blocking object.
-- @param flags Flags for the blocking object, see [`ADD_NAVMESH_BLOCKING_OBJECT`](#\_0xFCD5C8E06E502F5A) for list of blocking object flags.
function Global.UpdateNavmeshBlockingObject(object, posX, posY, posZ, scaleX, scaleY, scaleZ, heading, flags)
	return fn(object, posX, posY, posZ, scaleX, scaleY, scaleZ, heading, flags)
end
